Subject: [PATCH 00/14] McBSP cleanup and generalization

From: [email-masked] (Péter Ujfalusi)
Date: Wed, 07 Sep 2011 09:46:06 +0300

On Wednesday 31 August 2011 17:22:47 Jarkko Nikula wrote:
> Hi
> 
> Updates and continuation to my McBSP cleanup RFC set I sent before vacation
> period. Motivation here is to get rid off all is_omap and CONFIG_ARCH stuff
> and to make code a step more generic (and for preparing to move code out
> under arch/arm/).
> 
> I hope this version doesn't break OMAP1. I suppose it should work now as
> the register and dma addresses are calculated from common register numbers
> and not by mangling from OMAP2+ register offsets (Thanks for
> Janusz Krzysztofik <[email-masked]> for the idea).
> 
> Also MCBSP_CONFIG_TYPEx defines are not used to replace is_omap tests in
> plat/mcbsp.c in this version but by using a feature flags (Thanks for
> Charulatha V <[email-masked]> for the idea).
> 
> Note that patch 01/14 has from address to my disabled google account. This
> is since the patch is already committed in to
> for_3.2/omap_device branch of Kevin's git tree.

These all looks good to me.

Acked-by: Peter Ujfalusi <[email-masked]>